### Method

# Clutter Actor queue_redraw_with_clip

#### Declaration [src]

    void
    clutter_actor_queue_redraw_with_clip (
      ClutterActor* self,
      const MtkRectangle* clip
    )

#### Description [src]

Queues a redraw on `self` limited to a specific, actor-relative rectangular area.

If `clip` is `NULL` this function is equivalent to clutter_actor_queue_redraw().

#### Parameters

`clip`

  Type: `MtkRectangle`

  A rectangular clip region, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.